Bug 996672 - GUI Spinner of instance based subscription needs to consider the inactive subscripton while displaying default quantity count
GUI Spinner of instance based subscription needs to consider the inactive sub...
Status: CLOSED CURRENTRELEASE
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Devan Goodwin
Katello QA List
:
Depends On:
Blocks: rhsm-rhel65
  Show dependency treegraph
 
Reported: 2013-08-13 12:33 EDT by Rehana
Modified: 2015-05-14 10:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-05 08:47:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
future subscriptions (71.44 KB, image/png)
2013-08-13 12:34 EDT, Rehana
no flags Details
subscriptions_fortoday (86.01 KB, image/png)
2013-08-13 12:35 EDT, Rehana
no flags Details
fixed_count (71.80 KB, image/jpeg)
2013-09-27 03:17 EDT, Rehana
no flags Details

  None (edit)
Description Rehana 2013-08-13 12:33:56 EDT
Description of problem:
On the guest machine,observed that the if a "Future" instance based subscription (Physical) is attached on the system, and then search for current subscription using sub-man-gui, saw that the GUI spinner was displaying default value as "Zero" instead of "One"

Version-Release number of selected component (if applicable):
subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.8.19-1
subscription-manager: 1.8.19-1.el5
python-rhsm: 1.8.16-1.el5


How reproducible:
4/4

Steps to Reproduce:
1.Attach a future instance based subscription on a guest machine
2.Search for an active  subscription for "today" 

Actual results:
Observed that the GUI spinner value of instance based subscription is displaying "0" , Can also see that the other future subscription attached during the test "Awesome OS with unlimited virtual guests" is displaying the correct value "1" ( PFA: future_subscriptions.png,subscritions_fortoday.png)

Expected results:
GUI Spinner of instace based subscription should consider the active/inactive subscription while displaying the default quantity count

Additional info:
Comment 1 Rehana 2013-08-13 12:34:36 EDT
Created attachment 786210 [details]
future subscriptions
Comment 2 Rehana 2013-08-13 12:35:49 EDT
Created attachment 786211 [details]
subscriptions_fortoday
Comment 3 Carter Kozak 2013-09-09 15:04:34 EDT
commit 12b5879bbf1b873ba349364cd2b10821bd07059c
Author: ckozak <ckozak@redhat.com>
Date:   Mon Sep 9 12:52:58 2013 -0400

    845600, 996672: fix suggested quantities
Comment 4 Bryan Kearney 2013-09-26 14:19:09 EDT
fixed in 0.8.27-1
Comment 5 Rehana 2013-09-27 03:14:42 EDT
Retested on 
 
subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.8.28-1

1.attached a future subscription 
 subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name: Awesome OS Instance Based (Standard Support)
Provides:          Awesome OS Instance Server Bits
SKU:               awesomeos-instancebased
Contract:          1
Account:           12331131231
Serial:            6267055081301025381
Pool ID:           8ac6a36241539ee4014153a2031b0e1f
Active:            False
Quantity Used:     1
Service Level:     Standard
Service Type:      L1-L3
Status Details:    
Starts:            09/15/2014
Ends:              09/15/2015

2. List available for today (PFA: fixed_count.png)

Observed that the now GUI Spinner of instace based subscription is considering the active/inactive subscription to display the default quantity count

Hence moving this bug to "Verified"
Comment 6 Rehana 2013-09-27 03:17:35 EDT
Created attachment 803789 [details]
fixed_count

Note You need to log in before you can comment on or make changes to this bug.